/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.extractors.script;

import javax.script.ScriptException;

import junit.framework.TestCase;

public class ScriptCreatorTest extends TestCase {

	public ScriptCreatorTest(final String name) {
		super(name);
	}

	public void testExecute() {
		String script = "import it.eng.spago4q.extractors.script.IMappingScript; \n";
		script += "\n";
		script += "public class Tester implements IMappingScript { \n";
		script += "\n";
		script += "public String execute(String value) {\n";
		script += "return value + \" ciao\"; \n";
		script += "}\n";
		script += "}\n";
		script += "\n";
		script += "Object o = new Tester();";
		
		IMappingScript scriptTest;
		try {
			scriptTest = ScriptCreator.createScriptObject(script);
			String value = "ciao";
			assertEquals("ciao ciao", scriptTest.execute(value));
		} catch (ScriptException e) {
			fail();
		}
	}
}
